/*package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;

import javax.persistence.AssociationOverride;
import javax.persistence.AssociationOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.jasamedika.medifirst2000.base.vo.BaseMapping;






//@Entity
//@Table(name = "MapRuanganToKelas_M_SAMPLE")
@AssociationOverrides({
	@AssociationOverride(name = "pk.ruanganM", joinColumns = @JoinColumn(name = "kdRuangan")),
	@AssociationOverride(name = "pk.kelasM", joinColumns = @JoinColumn(name = "kdKelas"))
})
public class MapRuanganToKelasMVO extends BaseMapping implements Serializable{
	
	
	private static final long serialVersionUID = 1L;
	@EmbeddedId
    protected MapRuanganToKelasMIdVO pk = new MapRuanganToKelasMId();
	
	
	public MapRuanganToKelasMIdVO getPk() {
		return pk;
	}

	public void setPk(MapRuanganToKelasMIdVO pk) {
		this.pk = pk;
	}

	@Column(name = "kdRuangan", insertable = false, updatable = false)
	private Integer kdRuangan;
	
	@Column(name = "kdKelas", insertable = false, updatable = false)
	private Integer kdKelas;

	
	@Transient
	public RuanganMVO getRuanganM() {
		return getPk().getRuanganM();
	}

	public void setRuanganM(RuanganMVO ruanganM) {
		getPk().setRuanganM(ruanganM);
	}

	@Transient
	public KelasMVO getKelasM() {
		return getPk().getKelasM();
	}

	public void setKelasM(KelasMVO kelasM) {
		getPk().setKelasM(kelasM);
	}

	public Integer getKdRuangan() {
		return kdRuangan;
	}

	public void setKdRuangan(Integer kdRuangan) {
		this.kdRuangan = kdRuangan;
	}

	public Integer getKdKelas() {
		return kdKelas;
	}

	public void setKdKelas(Integer kdKelas) {
		this.kdKelas = kdKelas;
	}


	


}
*/